Bug 5548 - Hard Due Dates Circ Rule
Summary: Hard Due Dates Circ Rule
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-28 22:02 UTC by Nicole C. Engard
Modified: 2012-10-25 23:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Signed-off patch (43.08 KB, patch)
2011-03-29 19:17 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Patch to patch (1.13 KB, patch)
2011-03-30 12:03 UTC, Colin Campbell
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-12-28 22:02:40 UTC
This development shall enable libraries to specify global and/or ceiling due dates for specific combinations of branchcode, item type and patron category.

Full RFC: http://wiki.koha-community.org/wiki/Hard_Due_Dates_Circ_Rule_RFC
Comment 1 Jared Camins-Esakov 2011-03-29 19:17:54 UTC
Created attachment 3504 [details] [review]
Signed-off patch
Comment 2 Chris Cormack 2011-03-30 07:38:22 UTC
Pushed, please test
Comment 3 Colin Campbell 2011-03-30 12:03:12 UTC
Created attachment 3522 [details] [review]
Patch to patch

Punctuation error in patch. Statement should be terminated by a semi-colon.
Comma works but is a trap laid for the unwary
Comment 4 Ian Walls 2011-03-30 18:55:17 UTC
Signed off on followup.  Thanks for catching that, Colin!
Comment 5 Chris Cormack 2011-03-31 21:22:39 UTC
Additional follow up pushed, please test